package com.fxkc.care.utils;

import com.fxkc.care.enums.CommonEnum;
import com.fxkc.care.vo.UserInfoVO;
import org.apache.commons.lang3.StringUtils;
import org.springframework.web.context.request.RequestContextHolder;
import org.springframework.web.context.request.ServletRequestAttributes;

import javax.servlet.http.HttpServletRequest;

public class RequestUtil {
    public static HttpServletRequest getRequest() {
        try {
            return ((ServletRequestAttributes) RequestContextHolder.getRequestAttributes()).getRequest();
        } catch (Exception var1) {
            return null;
        }
    }

    public static String getParameter(String name) {
        return getRequest().getParameter(name);
    }


    public static UserInfoVO getUserInfo() {
        return (UserInfoVO) (getRequest() != null ? getRequest().getAttribute(CommonEnum.USER_INFO.getCode()) : null);
    }
}
