package com.fxkc.care.enums;


public enum DeleteFlagEnum implements IEnumNameValue<Integer> {
    NOT_DELETE(0, "未删除"),
    DELETE(1, "删除");

    private Integer value;

    private String name;

    DeleteFlagEnum(Integer value, String name){
        this.value = value;
        this.name = name;
    }

    @Override
    public Integer getValue() {
        return value;
    }

    @Override
    public String getName() {
        return name;
    }
}
