package com.fxkc.care.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.fxkc.care.common.AjaxResult;
import com.fxkc.care.domain.UserInfo;
import com.fxkc.care.dto.UserInfoAddDTO;
import com.fxkc.care.dto.UserInfoEditDTO;
import com.fxkc.care.vo.UserInfoVO;

import javax.servlet.http.HttpServletResponse;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author JYH
 * @since 2024-12-14
 */
public interface IUserInfoService extends IService<UserInfo> {

    AjaxResult doLogin(UserInfoVO userInfoVO, HttpServletResponse response);

    AjaxResult logout();

    AjaxResult add(UserInfoAddDTO dto);

    AjaxResult edit(UserInfoEditDTO dto);

    AjaxResult delete(String id);
}
